# Uses of Class
org.apache.solr.client.solrj.impl.LBSolrClient

Packages that use LBSolrClient
Package
Description
org.apache.solr.client.solrj.impl
Implementations of some client API classes, and their friends.

## Uses of LBSolrClient in org.apache.solr.client.solrj.impl

Subclasses of LBSolrClient in org.apache.solr.client.solrj.impl
Modifier and Type
Class
Description
`class`
`LBAsyncSolrClient`
A `LBSolrClient` adding `LBAsyncSolrClient.requestAsync(Req)`.
Methods in org.apache.solr.client.solrj.impl that return LBSolrClient
Modifier and Type
Method
Description
`LBSolrClient`
LBSolrClient.Builder.`build()`
`protected LBSolrClient`
HttpJdkSolrClient.`createLBSolrClient()`
`protected abstract LBSolrClient`
HttpSolrClientBase.`createLBSolrClient()`
`protected LBSolrClient`
CloudSolrClient.Builder.`createOrGetLbClient(HttpSolrClientBase myClient)`
`LBSolrClient`
CloudHttp2SolrClient.`getLbClient()`
`protected abstract LBSolrClient`
CloudSolrClient.`getLbClient()`